Index: /extensions/piwigo_videojs/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/piwigo_videojs/language/uk_UA/plugin.lang.php	(revision 24888)
+++ /extensions/piwigo_videojs/language/uk_UA/plugin.lang.php	(revision 24888)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['AUTOPLAY_DESC'] = 'Якщо Автоматичне програвання увімкнено, воно розпочнеться одразу по завантаженню сторінки (без взаємодії з користувачем). НЕ ПІДТРИМУЄТЬСЯ ПРИСТРОЯМИ З APPLE iOS.';
+$lang['CONTROLS'] = 'Елементи керування';
+$lang['CONTROLS_DESC'] = 'Ця опція дозволяє відобразити або приховати елементи керування, з котрими може взаємодіяти користувач.';
+$lang['CUSTOMCSS_DESC'] = 'Власний CSS для копіювання: <a href="http://www.videojs.com/" target="_blank">VideoJS website</a>.';
+$lang['HTML5'] = 'Налаштування відео-тегів для HTML5';
+$lang['PRELOAD_DESC'] = 'Цей атрибут вказує бравзеру чи потрібно попередньо завантажувати відео одразу при завантаженні відео-тегу.';
+$lang['SKIN_DESC'] = 'Виберіть стиль який ви хочете застоувати або <a href="http://designer.videojs.com/" target="_blank">створіть свій власний</a>.';
+$lang['WATERMARK_DESC'] = 'Відображає водяні знаки на відео';
+$lang['WIDTH'] = 'Максимальна ширина';
+$lang['WIDTH_DESC'] = 'Цей атрибут встановлює максимальну ширину відеозображення, до якої буде підігнане зображення при перевищенні вказаного розміру.';
+$lang['ZOOMROTATE'] = 'Збільшення/Поворот';
+$lang['ZOOMROTATE_DESC'] = 'Повернути та збільшити відео, якщо доступно (за наявності метаданих)';
+$lang['AUTOPLAY'] = 'Програти автоматично';
+$lang['CUSTOMCSS'] = 'Власний CSS';
+$lang['LOOP'] = 'Цикл';
+$lang['LOOP_DESC'] = 'Атрибут цикл грає одне й теж відео одразу по завершенню';
+$lang['PLUGIN'] = 'Налаштування додатку';
+$lang['PRELOAD'] = 'Попереднє завантаження';
+$lang['SKIN'] = 'Тема';
+$lang['THUMBNAILS'] = 'Мініатюри';
+$lang['THUMBNAILS_DESC'] = 'Відображати мініатюри над поступом';
+$lang['UPSCALE'] = 'Збільшення';
+$lang['UPSCALE_DESC'] = 'Якщо розмір зображення відео менший за максимальну ширину, воно буде збільшене до розміру максимальної ширини.';
+$lang['VIDEOJSPLUGIN'] = 'Додатки VideoJS';
+$lang['WATERMARK'] = 'Водяний знак';
+?>