Index: /branches/2.5/plugins/c13y_upgrade/language/eo_EO/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/eo_EO/description.txt	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/eo_EO/description.txt	(revision 24923)
@@ -0,0 +1,1 @@
+Kontrolas la kromaĵointegrecon.
Index: /branches/2.5/plugins/c13y_upgrade/language/eo_EO/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/eo_EO/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/eo_EO/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'Forigi la duoblon de uzanto';
+$lang['c13y_correction_obsolete_plugin'] = 'La kromaĵo "%s" inkluziviĝas en tiu versio de la aplikaĵo kaj vi devas malinstali ĝin.';
+$lang['c13y_dbl_email_user'] = 'Uzantoj kun la sama retadreso';
+$lang['c13y_obsolete_plugin'] = 'Malaktuala kromaĵo';
+$lang['c13y_upgrade_no_anomaly'] = 'Neniu anomalio detektiĝis post la aplikaĵa ĝisdatigado, la aplikaĵo "Check upgrades" malŝaltiĝis.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/it_IT/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/it_IT/plugin.lang.php	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/language/it_IT/plugin.lang.php	(revision 24923)
@@ -23,7 +23,7 @@
 
 // --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
-$lang['c13y_upgrade_no_anomaly'] = 'Nessun anomalia individuata dopo l\'aggiornamento dell\'applicazione. Il plugin "Check upgrades" è stato disattivato.';
+$lang['c13y_upgrade_no_anomaly'] = 'Nessun anomalia individuata dopo l\'aggiornamento dell\'applicazione, il plugin "Check upgrades" è stato disattivato.';
 $lang['c13y_dbl_email_user'] = 'Utenti con lo stesso indirizzo email';
-$lang['c13y_correction_dbl_email_user'] = 'Cancellare i doppioni';
+$lang['c13y_correction_dbl_email_user'] = 'Eliminare utenti duplicati';
 $lang['c13y_obsolete_plugin'] = 'Plugin obsoleto';
 $lang['c13y_correction_obsolete_plugin'] = 'Il plugin "%s" è stato incluso in questa versione dell\'applicazione e dovete disinstallarlo.';
Index: /branches/2.5/plugins/c13y_upgrade/language/kn_IN/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/kn_IN/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/kn_IN/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'ನಕಲಿ ಬಳಕೆದಾರರನ್ನು ಅಳಿಸಿ';
+$lang['c13y_correction_obsolete_plugin'] = 'ಈ ಆವೃತ್ತಿಯಲ್ಲಿ "%s" ಪ್ಲಗ್ ಇನ್ ಒಳಗೊಂಡಿದೆ ಮತ್ತು ನೀವು ಅದನ್ನು ಅನುಸ್ಠಾಪಿಸಲೇ ಬೇಕು';
+$lang['c13y_dbl_email_user'] = 'ಏಕರೂಪದ ಮಿಂಚೆ ವಿಳಾಸವಿರುವ ಬಳಕೆದಾರರು';
+$lang['c13y_obsolete_plugin'] = 'ಹಳತಾಗಿರುವ ಪ್ಲಗ್ ಇನ್ ';
+$lang['c13y_upgrade_no_anomaly'] = 'ಅಪ್ಲಿಕೇಶನ್ ನವೀಕರಣದ ನಂತರ ಯಾವುದೇ ಅಸಮಂಜಸತೆ ಕಂಡುಬಂದಿಲ್ಲ, "ನವೀಕರಣಗಳನ್ನು ಪರೀಕ್ಷಿಸಿ"  ಪ್ಲಗ್ ಇನ್ ಅನ್ನು ನಿಷ್ಕ್ರಿಯಗೊಳಿಸಲಾಗಿದೆ.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/lt_LT/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/lt_LT/description.txt	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/lt_LT/description.txt	(revision 24923)
@@ -0,0 +1,1 @@
+Tikrinti atnaujinimų vientisumą
Index: /branches/2.5/plugins/c13y_upgrade/language/lt_LT/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/lt_LT/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/lt_LT/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_dbl_email_user'] = 'Vartotojai su vienodais el-pašto adresais';
+$lang['c13y_obsolete_plugin'] = 'Pasenęs priedas';
+$lang['c13y_correction_dbl_email_user'] = 'Šalinti besikartojančius vartotojus';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" priedas yra integruotas į šią programos versiją, išinstaliuokite jį.';
+$lang['c13y_upgrade_no_anomaly'] = 'Po programos atnaujinimo neaptikta jokių anomalijų. "Check upgrades" priedas išjungtas.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/pt_BR/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/pt_BR/plugin.lang.php	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/language/pt_BR/plugin.lang.php	(revision 24923)
@@ -25,4 +25,4 @@
 $lang['c13y_dbl_email_user'] = 'Usuários com o mesmo endereço de email';
 $lang['c13y_obsolete_plugin'] = 'Plugin obsoleto';
-$lang['c13y_upgrade_no_anomaly'] = 'Nenhuma anomalia detectada após a atualização do aplicativo, "Verificar atualizações" plugin foi desativado.';
+$lang['c13y_upgrade_no_anomaly'] = 'Nenhuma anomalia foi detectada após a atualização do aplicativo, o plugin "Verificar atualizações" foi desativado.';
 ?>
Index: /branches/2.5/plugins/c13y_upgrade/language/ro_RO/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/ro_RO/description.txt	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/ro_RO/description.txt	(revision 24923)
@@ -0,0 +1,1 @@
+Verifică integritatea actualizărilor.
Index: /branches/2.5/plugins/c13y_upgrade/language/ro_RO/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/ro_RO/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/ro_RO/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = 'Șterge utilizatorii duplicat';
+$lang['c13y_correction_obsolete_plugin'] = 'plugin-ul "%s" a fost inclus în această versiune a aplicației și trebuie să-l dezinstalezi.';
+$lang['c13y_dbl_email_user'] = 'Utilizatorii cu aceeași adresă de e-mail';
+$lang['c13y_obsolete_plugin'] = 'Plugin-uri ieșite din uz';
+$lang['c13y_upgrade_no_anomaly'] = 'Nu s-a detectat nicio anomalie după actualizarea aplicației, plugin-ul "Verificare actualizări" a fost dezactivat.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/ru_RU/description.txt
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/ru_RU/description.txt	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/language/ru_RU/description.txt	(revision 24923)
@@ -1,1 +1,1 @@
-Проверьте целостность обновления.
+Проверка целостности обновлений.
Index: /branches/2.5/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php	(revision 24923)
@@ -23,9 +23,9 @@
 
 // --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
-$lang['c13y_upgrade_no_anomaly'] = 'Аномалии не обнаружены после применения обновления. плагин "Проверить обновления" был отключен.';
+$lang['c13y_upgrade_no_anomaly'] = 'Аномалии не обнаружены после применения обновления. Плагин "Проверить обновления" был отключен.';
 $lang['c13y_dbl_email_user'] = 'Пользователи с тем же адресом электронной почты';
 $lang['c13y_correction_dbl_email_user'] = 'Удаление дубликатов пользователей';
 $lang['c13y_obsolete_plugin'] = 'Устаревший плагин';
-$lang['c13y_correction_obsolete_plugin'] = 'Модуль "%s" отключена, потому что она не совместима с этой версией Piwigo . Пожалуйста, удалите его.';
+$lang['c13y_correction_obsolete_plugin'] = 'Плагин "%s" отключен, потому что он не совместима с этой версией Piwigo. Пожалуйста, удалите этот плагин.';
 
 ?>
Index: /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/language/sl_SI/plugin.lang.php	(revision 24923)
@@ -22,7 +22,7 @@
 // +-----------------------------------------------------------------------+
 $lang['c13y_correction_dbl_email_user'] = 'Izbriši podvojene uporabnike';
-$lang['c13y_correction_obsolete_plugin'] = '"%s" je vključen v tej verziji aplikancije in ga morate odstraniti';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" je vključen v tej verziji aplikacije in ga morate odstraniti';
 $lang['c13y_dbl_email_user'] = 'Uporabniki z enakim e-mail naslovom';
-$lang['c13y_obsolete_plugin'] = 'Zastareli vtičnik';
+$lang['c13y_obsolete_plugin'] = 'Zastarel vtičnik';
 $lang['c13y_upgrade_no_anomaly'] = 'Po posodobitvi aplikacije ni bilo zaznati nepravilnosti. Vtičnik "Preveri za nadgradnje" je bil deaktiviran';
 ?>
Index: /branches/2.5/plugins/c13y_upgrade/language/ta_IN/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/ta_IN/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/ta_IN/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_dbl_email_user'] = 'அதே மின்னஞ்சல் முகவரியை கொண்ட பயனர்';
+$lang['c13y_obsolete_plugin'] = 'பயன் வழக்கழிந்த செருகுநிரல்';
+$lang['c13y_upgrade_no_anomaly'] = 'விண்ணப்ப மேம்படுத்தப்பட்ட பின் கண்டுபிடிக்கப்பட்ட இல்லை ஒழுங்கின்மை, "பாருங்கள் மேம்படுத்த" செருகுநிரல் முடக்கப்பட்டிருக்கிறது';
+$lang['c13y_correction_dbl_email_user'] = 'போலி பயனர் நீக்கு';
+$lang['c13y_correction_obsolete_plugin'] = '"%s" சொருகி இந்த பயன்பாட்டை பதிப்பு சேர்க்கப்பட்டுள்ளது   நீங்கள் அதை நீக்க வேண்டும்.';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/language/zh_HK/plugin.lang.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/language/zh_HK/plugin.lang.php	(revision 24923)
+++ /branches/2.5/plugins/c13y_upgrade/language/zh_HK/plugin.lang.php	(revision 24923)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['c13y_correction_dbl_email_user'] = '刪除重複的用戶';
+$lang['c13y_correction_obsolete_plugin'] = '"%s"插件已包含在這個版本上，你必須先卸載它。';
+$lang['c13y_dbl_email_user'] = '已有用戶用了相同的電郵地址';
+$lang['c13y_obsolete_plugin'] = '已過時的插件';
+$lang['c13y_upgrade_no_anomaly'] = '升級後沒有檢測到異常，"檢查升級"插件已被停用。';
+?>
Index: /branches/2.5/plugins/c13y_upgrade/main.inc.php
===================================================================
--- /branches/2.5/plugins/c13y_upgrade/main.inc.php	(revision 24922)
+++ /branches/2.5/plugins/c13y_upgrade/main.inc.php	(revision 24923)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: Check upgrades
-Version: 2.5.2
+Version: 2.5.3
 Description: Check integrity of upgrades.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=287