Index: branches/2.5/plugins/LocalFilesEditor/language/eo_EO/description.txt
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/eo_EO/description.txt	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/eo_EO/description.txt	(revision 24927)
@@ -0,0 +1,1 @@
+Redaktu lokajn dosierojn el la administra panelo.
Index: branches/2.5/plugins/LocalFilesEditor/language/eo_EO/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/eo_EO/plugin.lang.php	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/eo_EO/plugin.lang.php	(revision 24927)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore'] = 'Restaŭri la savdosieron';
+$lang['locfiledit_restore_confirm'] = 'Bonvolu konfirmi.
+Restaŭrado efektiviĝos post musklako ĉe Konservi.';
+$lang['locfiledit_save_bak'] = 'Savkopio kreiĝos dum konserviĝo.';
+$lang['locfiledit_save_config'] = 'La dosiero sukcese skribiĝis.';
+$lang['locfiledit_save_file'] = 'Konservi dosieron';
+$lang['locfiledit_saved_bak'] = 'Savdosiero kreiĝis (%s)';
+$lang['locfiledit_show_default'] = 'Vidigu referencan dosieron:';
+$lang['locfiledit_syntax_error'] = 'Sintakseraro! Ne eblas konservi la dosieron.';
+$lang['locfiledit_webmaster_only'] = 'Nur retestroj povas krei aŭ modifi lokajn dosierojn.';
+$lang['locfiledit_bak_loaded1'] = 'Savdosiero ŝargita.';
+$lang['locfiledit_bak_loaded2'] = 'Vi devas konservi la dosieron por restaŭri ĝin.';
+$lang['locfiledit_cant_save'] = 'La kuranta dosiero ne skribeblas. Kontrolu ĉu la permesilo de la dosierujo "local/" taŭgas (chmod).';
+$lang['locfiledit_choose_file'] = 'Elektu la dosiero redaktota.';
+$lang['locfiledit_edit'] = 'Redakti';
+$lang['locfiledit_empty_filename'] = 'Vi devas tajpi la dosieran nomon.';
+$lang['locfiledit_empty_page'] = 'Malplena paĝo';
+$lang['locfiledit_file_already_exists'] = 'La dosiero jam ekzistas.';
+$lang['locfiledit_filename_error'] = 'Malpermesitaj signoj en la dosiera nomo.';
+$lang['locfiledit_model'] = 'Modelo';
+$lang['locfiledit_model_error'] = 'Elektu modelon.';
+$lang['locfiledit_new_filename'] = 'Dosiera nomo.';
+$lang['locfiledit_new_tpl'] = 'Krei novan dosieron';
+$lang['locfiledit_newfile'] = 'La dosiero ne ekzistas ĝis informoj tajpiĝas ĉisube. Ĝi kreiĝos ekde informoj entajpiĝas kaj registriĝas.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'Lingvoj';
+$lang['locfiledit_onglet_localconf'] = 'Loka agordo';
+$lang['locfiledit_onglet_plug'] = 'Persona kromaĵo';
+$lang['locfiledit_onglet_tpl'] = 'Ŝablonoj';
+$lang['locfiledit_parent_directory'] = 'Parenca dosierujo';
+?>
Index: branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 23458)
+++ branches/2.5/plugins/LocalFilesEditor/language/it_IT/plugin.lang.php	(revision 24927)
@@ -27,7 +27,7 @@
 $lang['locfiledit_onglet_lang'] = 'Lingue';
 $lang['locfiledit_onglet_plug'] = 'Plugin Personale';
-$lang['locfiledit_cant_save'] = 'Non è stato possibile scrivere il file. Verificare i permessi di scrittura (chmod) della directory "local/".';
+$lang['locfiledit_cant_save'] = 'Il file corrente non è scrivibile. Verificare i permessi di scrittura (chmod) della directory "local/".';
 $lang['locfiledit_newfile'] = 'Il file non esiste fino a quando qualche informazione verrà inserita di seguito. Una volta che le informazioni sono inserite e salvate, il file verrà creato.';
-$lang['locfiledit_save_config'] = 'Il file è stato salvato.';
+$lang['locfiledit_save_config'] = 'File salvato con successo';
 $lang['locfiledit_show_default'] = 'Visualizzare file di riferimento:';
 $lang['locfiledit_save_bak'] = 'Una copia di backup del file sarà creata durante la fase di salvataggio.';
Index: branches/2.5/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/kn_IN/plugin.lang.php	(revision 24927)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore'] = 'ಕಡತವನ್ನು ಮರುಬಳಸಿ';
+$lang['locfiledit_restore_confirm'] = 'ದಯವಿಟ್ಟು ಖಾತ್ರಿಪಡಿಸಿ? ಮುಂದಿನ ಉಳಿಕೆಯವರೆಗೂ ಮರುಬಳಕೆ ಪರಿಣಮಕಾರಿಯಾಗಿರುವುದಿಲ್ಲ.';
+$lang['locfiledit_save_bak'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಪ್ರತಿ ಉಳಿಸಿದ ನಂತರ ರಚನೆಯಾಗುತ್ತದೆ.';
+$lang['locfiledit_save_config'] = 'ಕಡತವನ್ನು ಯಶಸ್ವಿಯಾಗಿ ಬರೆಯಲಾಗಿದೆ.';
+$lang['locfiledit_save_file'] = 'ಕಡತವನ್ನು ಉಳಿಸಿ';
+$lang['locfiledit_saved_bak'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಪ್ರತಿ ರಚನೆಯಾಗಿದೆ(%s)';
+$lang['locfiledit_show_default'] = 'ಉಲ್ಲೇಖ ಕಡತವನ್ನು ಪ್ರದರ್ಶಿಸಿ.';
+$lang['locfiledit_syntax_error'] = 'ಪದ-ವಿನ್ಯಾಸ ದೋಷ! ಕಡತವನ್ನು ಉಳಿಸಲಾಗಲಿಲ್ಲ.';
+$lang['locfiledit_webmaster_only'] = 'ಕೇವಲ ವೆಬ್ ಮಾಸ್ಟರ್ ಗಳು ಮಾತ್ರ ಸ್ಥಳೀಯ ಕಡತಗಳನ್ನು ರಚಿಸಬಲ್ಲರು ಅಥವಾ ಬದಲಾಯಿಸಬಲ್ಲರು.';
+$lang['locfiledit_bak_loaded1'] = 'ಬ್ಯಾಕ್ ಅಪ್ ಕಡತವನ್ನು ತುಂಬಲಾಗಿದೆ.';
+$lang['locfiledit_bak_loaded2'] = 'ನೀವು ಮರುಬಳಸಲು ಕಡತವನ್ನು ಉಳಿಸಲೇಬೇಕು.';
+$lang['locfiledit_cant_save'] = 'ಪ್ರಸ್ತುತ ಕಡತ ಬರೆಯಬಲ್ಲುದಾಗಿಲ್ಲ. "local/" ಡೈರೆಕ್ಟರಿ ಬರೆಯಬಲ್ಲುದೇ ಎಂಬುದನ್ನು ಪರೀಕ್ಷಿಸಿ (chmod).';
+$lang['locfiledit_choose_file'] = 'ಸಂಪಾದನೆಗಾಗಿ ಕಡತವನ್ನು ಆರಿಸಿರಿ.';
+$lang['locfiledit_edit'] = 'ಸಂಪಾದನೆ';
+$lang['locfiledit_empty_filename'] = 'ನೀವು ಕಡತದ ಹೆಸರನ್ನು ನಮೂದಿಸಲೇಬೇಕು.';
+$lang['locfiledit_empty_page'] = 'ಖಾಲಿ ಪುಟ';
+$lang['locfiledit_file_already_exists'] = 'ಕಡತ ಈಗಾಗಲೇ ಅಸ್ತಿತ್ವದಲ್ಲಿದೆ.';
+$lang['locfiledit_filename_error'] = 'ನಿಷೇಧಿತ ಅಕ್ಷರಗಳು ಕಡತದ ಹೆಸರಿನಲ್ಲಿ ಇವೆ.';
+$lang['locfiledit_model'] = 'ನಮೂನೆ';
+$lang['locfiledit_model_error'] = 'ನೀವು ನಮೂನೆಯನ್ನು ಆರಿಸಲೇಬೇಕು.';
+$lang['locfiledit_new_filename'] = 'ಕಡತದ ಹೆಸರು';
+$lang['locfiledit_new_tpl'] = 'ಹೊಸ ಕಡತವನ್ನು ರಚಿಸಿ.';
+$lang['locfiledit_newfile'] = 'ಈ ಕೆಳಗೆ ಕೆಲವು ಮಾಹಿತಿಗಳನ್ನು ನಮೂದಿಸದ ಹೊರತು ಕಡತ ಅಸ್ತಿತ್ವದಲ್ಲಿರುವುದಿಲ್ಲ. ಒಮ್ಮೆ ಮಾಹಿತಿ ನಮೂದಾಗಿ ಉಳಿಸಿದ ನಂತರ ಕಡತ ರಚನೆಯಾಗುತ್ತದೆ.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'ಭಾಷೆಗಳು';
+$lang['locfiledit_onglet_localconf'] = 'ಲೋಕಲ್ ಕಾನ್ಫಿಗ್';
+$lang['locfiledit_onglet_plug'] = 'ವೈಯಕ್ತಿಕ ಪ್ಲಗ್ ಇನ್ ';
+$lang['locfiledit_onglet_tpl'] = 'ನಮೂನೆಗಳು';
+$lang['locfiledit_parent_directory'] = 'ಪೇರೆಂಟ್ ಡೈರೆಕ್ಟರಿ';
+?>
Index: branches/2.5/plugins/LocalFilesEditor/language/lt_LT/description.txt
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/lt_LT/description.txt	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/lt_LT/description.txt	(revision 24927)
@@ -0,0 +1,1 @@
+Redaguoti vietinius failus iš administracijos puslapio.
Index: branches/2.5/plugins/LocalFilesEditor/language/lt_LT/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/lt_LT/plugin.lang.php	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/lt_LT/plugin.lang.php	(revision 24927)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore_confirm'] = 'Prašome patvirtinimo.
+Failo atstatymas nebus efektyvus kol nebus išsaugotas.';
+$lang['locfiledit_save_file'] = 'Išsaugoti failą';
+$lang['locfiledit_parent_directory'] = 'Pirminis katalogas';
+$lang['locfiledit_choose_file'] = 'Pasirinkite failą, kurį norite redaguoti';
+$lang['locfiledit_show_default'] = 'Parodyti pradinį failą: ';
+$lang['locfiledit_restore'] = 'Įkrauti atsarginę kopiją';
+$lang['locfiledit_save_bak'] = 'Atsarginė kopija bus sukurta tik išsaugant.';
+$lang['locfiledit_save_config'] = 'Failas sėkmingai įrašytas.';
+$lang['locfiledit_saved_bak'] = 'Atsarginė kopija sukurta (%s)';
+$lang['locfiledit_syntax_error'] = 'Sintaksės klaida! Neįmanoma įrašyti failo.';
+$lang['locfiledit_webmaster_only'] = 'Tik webmasteriai gali kurti ar modifikuoti vietinius failus.';
+$lang['locfiledit_bak_loaded1'] = 'Atsarginė kopija įkrauta.';
+$lang['locfiledit_bak_loaded2'] = 'Jūs turite išsaugoti failą, kad galėtumėte jį atstatyti.';
+$lang['locfiledit_cant_save'] = 'Šio failo neišeis išsaugoti. Pasitikrinkite ar į kataloga "local/" leidžiama rašyti (chmod).';
+$lang['locfiledit_edit'] = 'Redaguoti';
+$lang['locfiledit_empty_filename'] = 'Turite įvesti failo pavadinimą.';
+$lang['locfiledit_empty_page'] = 'Tuščias puslapis';
+$lang['locfiledit_file_already_exists'] = 'Toks failas jau egzistuoja.';
+$lang['locfiledit_filename_error'] = 'Draudžiami simboliai failo pavadinime.';
+$lang['locfiledit_model'] = 'Modelis';
+$lang['locfiledit_model_error'] = 'Turite pasirinkti modelį';
+$lang['locfiledit_new_filename'] = 'Failo pavadinimas';
+$lang['locfiledit_new_tpl'] = 'Sukurti naują failą';
+$lang['locfiledit_newfile'] = 'Failas neegzistuoja, kol neįvesta informacija žemiau. Kai tik ką nors įvesite ir išsaugosite, tuomet failas ir bus sukurtas.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'Kalbos';
+$lang['locfiledit_onglet_localconf'] = 'Vietinė konfigūracija';
+$lang['locfiledit_onglet_plug'] = 'Asmeninis priedas';
+$lang['locfiledit_onglet_tpl'] = 'Šablonai';
+?>
Index: branches/2.5/plugins/LocalFilesEditor/language/pt_BR/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/pt_BR/plugin.lang.php	(revision 23458)
+++ branches/2.5/plugins/LocalFilesEditor/language/pt_BR/plugin.lang.php	(revision 24927)
@@ -22,11 +22,11 @@
 // +-----------------------------------------------------------------------+
 $lang['locfiledit_bak_loaded1'] = 'Faça cópia do arquivo baixado.';
-$lang['locfiledit_bak_loaded2'] = 'Você deve salvar o arquivo para reustaurá-lo';
+$lang['locfiledit_bak_loaded2'] = 'Você deve salvar o arquivo para restaurá-lo.';
 $lang['locfiledit_cant_save'] = 'O arquivo atual não tem permissão de escrita. Verifique se o diretório "local/" tem permissão de escrita (chmod).';
-$lang['locfiledit_choose_file'] = 'Escolha o arquivo a ser editado.';
+$lang['locfiledit_choose_file'] = 'Escolha o arquivo a ser editado';
 $lang['locfiledit_edit'] = 'Edite';
 $lang['locfiledit_empty_filename'] = 'Você deve entrar com o nome do arquivo.';
 $lang['locfiledit_empty_page'] = 'Página vazia';
-$lang['locfiledit_file_already_exists'] = 'O arquivo já existe';
+$lang['locfiledit_file_already_exists'] = 'O arquivo já existe.';
 $lang['locfiledit_filename_error'] = 'Caracteres não permitidos no nome do arquivo.';
 $lang['locfiledit_model_error'] = 'Você deve escolher um modelo.';
@@ -34,5 +34,5 @@
 $lang['locfiledit_new_filename'] = 'Nome do arquivo';
 $lang['locfiledit_new_tpl'] = 'Cria novo arquivo';
-$lang['locfiledit_newfile'] = 'O arquivo não existe e será criado pelo Editor Local de Arquivos';
+$lang['locfiledit_newfile'] = 'O arquivo não existe e será criado pelo Editor Local de Arquivos.';
 $lang['locfiledit_onglet_css'] = 'CSS';
 $lang['locfiledit_onglet_lang'] = 'Idiomas';
@@ -40,9 +40,9 @@
 $lang['locfiledit_onglet_plug'] = 'Plugin Pessoal';
 $lang['locfiledit_onglet_tpl'] = 'Templates';
-$lang['locfiledit_parent_directory'] = 'Diretório Pai';
-$lang['locfiledit_restore_confirm'] = 'Confirma por favor? A restauração não será efetiva até o próximo salvar.';
+$lang['locfiledit_parent_directory'] = 'Pasta pai';
+$lang['locfiledit_restore_confirm'] = 'Confirme por favor? A restauração não será efetiva até o próximo salvar.';
 $lang['locfiledit_restore'] = 'Restaura a cópia de segurança';
 $lang['locfiledit_save_bak'] = 'Cópia de segurança será criada ao salvar.';
-$lang['locfiledit_save_config'] = 'Arquivo escrito com sucesso.';
+$lang['locfiledit_save_config'] = 'Arquivo gravado com sucesso.';
 $lang['locfiledit_save_file'] = 'Salvar arquivo';
 $lang['locfiledit_saved_bak'] = 'Cópia de segurança criada (%s)';
Index: branches/2.5/plugins/LocalFilesEditor/language/ro_RO/description.txt
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/ro_RO/description.txt	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/ro_RO/description.txt	(revision 24927)
@@ -0,0 +1,1 @@
+Modifică fișierele locale din panoul de administrare.
Index: branches/2.5/plugins/LocalFilesEditor/language/ro_RO/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/ro_RO/plugin.lang.php	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/ro_RO/plugin.lang.php	(revision 24927)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_cant_save'] = 'Fișerul curent nu poate fi scris. Cerifică dacă dosarul "local/" poate fi scris (chmod).';
+$lang['locfiledit_parent_directory'] = 'Dosarul părinte';
+$lang['locfiledit_restore_confirm'] = 'Confirmă.
+Restaurarea nu va intra în efect până la urmatoarea salvare.';
+$lang['locfiledit_bak_loaded1'] = 'Copia de siguranță a fost încărcată.';
+$lang['locfiledit_restore'] = 'Restaurează copia de siguranță';
+$lang['locfiledit_save_bak'] = 'Copia de siguranță va fi creată odată cu salvarea.';
+$lang['locfiledit_saved_bak'] = 'Copia de siguranță a fost creată (%s)';
+$lang['locfiledit_webmaster_only'] = 'Numai webmasterii pot crea sau modifica fișiere locale.';
+$lang['locfiledit_new_tpl'] = 'Crează un fișier nou';
+$lang['locfiledit_bak_loaded2'] = 'Trebuie să salvezi un fișier pentru a-l restaura.';
+$lang['locfiledit_newfile'] = 'Acest fișier nu va exista pănâ cand nu vei introduce informațiile de mai jos. Odată ce informația va fi introdusă și salvată, fișierul va fi creat.';
+$lang['locfiledit_onglet_plug'] = 'Plugin personal';
+$lang['locfiledit_choose_file'] = 'Alege fișierul de modificat';
+$lang['locfiledit_edit'] = 'Modifică';
+$lang['locfiledit_empty_filename'] = 'Trebuie să introduci numele fișierului.';
+$lang['locfiledit_empty_page'] = 'Pagină goală';
+$lang['locfiledit_file_already_exists'] = 'Fișierul există deja';
+$lang['locfiledit_filename_error'] = 'Caractere interzise în numele fișierului.';
+$lang['locfiledit_model'] = 'Model';
+$lang['locfiledit_model_error'] = 'Trebuie să alegi un model';
+$lang['locfiledit_new_filename'] = 'Numele fișierului';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'Limbi';
+$lang['locfiledit_onglet_localconf'] = 'Configurație locală';
+$lang['locfiledit_onglet_tpl'] = 'Șabloane';
+$lang['locfiledit_save_config'] = 'Fișierul a fost scris cu succes.';
+$lang['locfiledit_save_file'] = 'Salvează fișier';
+$lang['locfiledit_show_default'] = 'Arată fișierul de referințăȘ';
+$lang['locfiledit_syntax_error'] = 'Eroare de sintaxă! Fișierul nu poate fi salvat.';
+?>
Index: branches/2.5/plugins/LocalFilesEditor/language/ta_IN/plugin.lang.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/language/ta_IN/plugin.lang.php	(revision 24927)
+++ branches/2.5/plugins/LocalFilesEditor/language/ta_IN/plugin.lang.php	(revision 24927)
@@ -0,0 +1,32 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_file_already_exists'] = 'கோப்பு ஏற்கனவே உள்ளது.';
+$lang['locfiledit_edit'] = 'திருத்துக';
+$lang['locfiledit_empty_filename'] = 'நீங்கள் கோப்பின் பெயரை உள்ளிட வேண்டும்.';
+$lang['locfiledit_empty_page'] = 'வெற்று பக்கம்';
+$lang['locfiledit_choose_file'] = 'திருத்த வேண்டும் என்ற கோப்பினை தேர்வுசெய்க
+';
+$lang['locfiledit_bak_loaded1'] = 'மறுபிரதி கோப்பு ஏற்றப்படும்.';
+$lang['locfiledit_bak_loaded2'] = 'அதை மீட்க கோப்பு சேமிக்க வேண்டும்.';
+$lang['locfiledit_cant_save'] = 'தற்போதைய கோப்பு எழுதக்கூடிய அல்ல. கோப்பகம் "local/" எழுதக்கூடிய (chmod) என்று சரிபார்க்கவும்.';
+?>
Index: branches/2.5/plugins/LocalFilesEditor/main.inc.php
===================================================================
--- branches/2.5/plugins/LocalFilesEditor/main.inc.php	(revision 23458)
+++ branches/2.5/plugins/LocalFilesEditor/main.inc.php	(revision 24927)
@@ -24,5 +24,5 @@
 /*
 Plugin Name: LocalFiles Editor
-Version: 2.5.2
+Version: 2.5.3
 Description: Edit local files from administration panel
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=144