Index: /trunk/language/eo_EO/admin.lang.php
===================================================================
--- /trunk/language/eo_EO/admin.lang.php	(revision 24948)
+++ /trunk/language/eo_EO/admin.lang.php	(revision 24949)
@@ -168,5 +168,5 @@
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERARO: TIU KROM-PROGRAMO MANKAS SED ĜI INSTALIĜIS! MALINSTALU ĜIN SENPROKRASTE.';
 $lang['Edit album'] = 'Redakti fotaron';
-$lang['Edit album permissions'] = 'Redakti fotarajn permesilojn';
+$lang['Edit album permissions'] = 'Redakti fotarajn permesojn';
 $lang['Edit photo'] = 'Modifi foton';
 $lang['Edit photo information'] = 'Redakti fotan informon';
@@ -430,5 +430,5 @@
 $lang['An error occured during extraction (%s).'] = 'Eraro okazi dum la eltirado de dosieroj (%s).';
 $lang['By rank'] = 'Laŭ rango';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Eraro okazis dum eltirado. Bonvolu kontroli la dosieropermesilojn de via instalo de Piwigo.<br><ahref="%s">Musklaku ĉi tie por vidi la erarprotokolo</a>.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Eraro okazis dum eltirado. Bonvolu kontroli la dosieropermesojn de via instalo de Piwigo.<br><ahref="%s">Musklaku ĉi tie por vidi la erarprotokolo</a>.';
 $lang['Are you sure you want to delete this plugin?'] = 'Ĉu vi certe deziras forigi tiun kromaĵon?';
 $lang['Bound Theme'] = 'Ligita temo';
@@ -439,5 +439,5 @@
 $lang['Maintenance'] = 'Funkciteno';
 $lang['Manage'] = 'Administri';
-$lang['Manage Permissions'] = 'Administri la permesilojn';
+$lang['Manage Permissions'] = 'Administri la permesojn';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Krei la "%s" dosierujon ĉe la radiko de via Piwigo-instalo';
 $lang['Delete multiple size images'] = 'Forigi la multoblan grandecon de fotoj';
@@ -775,7 +775,7 @@
 $lang['Make this language available to users'] = 'Igi tiun lingvon disponeblan al uzantoj';
 $lang['Make this theme available to users'] = 'Igi tiun temon disponeblan al uzantoj';
-$lang['Manage authorizations for selected albums'] = 'Administri la permesilojn por la selektitaj fotaroj';
-$lang['Manage permissions for group "%s"'] = 'Administri la permesilojn por la grupo "%s"';
-$lang['Manage permissions for user "%s"'] = 'Administri la permesilojn por la uzanto "%s"';
+$lang['Manage authorizations for selected albums'] = 'Administri la rajtigojn por la selektitaj fotaroj';
+$lang['Manage permissions for group "%s"'] = 'Administri la permesojn por la grupo "%s"';
+$lang['Manage permissions for user "%s"'] = 'Administri la permesojn por la uzanto "%s"';
 $lang['Manage photo ranks'] = 'Ordiga ordo de la fotoj';
 $lang['Manage this set of %d photos'] = 'Administri tiun aron de %d fotoj';
@@ -807,3 +807,22 @@
 $lang['Permalink'] = 'Konstanta ligilo';
 $lang['Piwigo Uploader'] = 'Alŝutilo de Piwigo';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Mankas konfirmado de pasvorto. Bonvolu konfirmi la elektitan pasvorton.';
+$lang['Password is missing. Please enter the password.'] = 'Mankas pasvorto. Bonvolu redakti la pasvorton.';
+$lang['Permission granted for groups'] = 'Atingo permesita por grupoj';
+$lang['Permission granted for users'] = 'Atingo permesita por uzantoj';
+$lang['Permission granted thanks to a group'] = 'Atingo permesita dank\' al grupo';
+$lang['Permission management'] = 'Administrado de permesoj';
+$lang['Photo sizes with crop'] = 'Fotograndeco kun stuco';
+$lang['Photo unreachable or no support'] = 'Neatingebla foto aŭ neakceptita formato';
+$lang['Photos generation in progress...'] = 'Generado de fotoj okazanta...';
+$lang['Piwigo Announcements Newsletter'] = 'Novaĵoletero de Piwigo';
+$lang['Piwigo Publish plugin for Lightroom'] = 'publikigokromaĵo de Piwigo por Lightroom';
+$lang['Piwigo configuration'] = 'Agordo de Piwigo';
+$lang['Piwigo export plugin for Aperture'] = 'eksportokromaĵo por Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'eksportokromaĵo por iPhoto';
+$lang['Piwigo for Android'] = 'Piwigo por Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo por iOS (iPhone, iPad, iPod Touch)';
+$lang['Piwigo publish plugin for Shotwell'] = 'publikigokromaĵo de Piwigo por Shotwell';
+$lang['Piwigo publish plugin for digiKam'] = 'publikigokromaĵo de Piwigo por digiKam';
+$lang['Piwigo version'] = 'versio de Piwigo';
 ?>