Index: trunk/language/lt_LT/common.lang.php
===================================================================
--- trunk/language/lt_LT/common.lang.php	(revision 23784)
+++ trunk/language/lt_LT/common.lang.php	(revision 24998)
@@ -39,5 +39,5 @@
 $lang['%d albums updated'] = '%d albumai atnaujinti';
 $lang['%d comment to validate'] = '%d patvirtinti komentarą';
-$lang['%d comment'] = '%d komentuoti';
+$lang['%d comment'] = '%d koment.';
 $lang['%d comments to validate'] = '%d patvirtinti komentarus';
 $lang['%d comments'] = '%d komentarai(-ų)';
@@ -65,11 +65,6 @@
 $lang['Any tag'] = 'Betkokia žyma';
 $lang['At least one listed rule must be satisfied.'] = 'Bent vienas iš išvardytų kriterijų, turi būti patenkintas.';
-$lang['At least one tag must match'] = "Turi atitikti bent vien&#260; &#382;ym&#281;";
 $lang['Author'] = "Autorius";
-$lang['Average rate'] = "Reiting&#371; vidurkis";
-$lang['Categories'] = "Kategorijos";
-$lang['Category'] = "Kategorija";
 $lang['Close this window'] = 'Uždaryti šitą langą';
-$lang['Complete RSS feed (images, comments)'] = "Baigta RSS feed (nuotraukos, komentarai)";
 $lang['Confirm Password'] = 'Pakartokite slaptažodį';
 $lang['Connection settings'] = "Prisijungimo nustatymai";
@@ -95,14 +90,8 @@
 $lang['Help'] = "Pagalba";
 $lang['Identification'] = "Identifikacija";
-$lang['Image only RSS feed'] = "Nuotraukos tik RSS feed";
 $lang['Keyword'] = 'Raktažodis';
 $lang['Links'] = "Nuorodos";
-$lang['Mail address'] = "Elektroninio pa&#352;to adresas";
 $lang['N/A'] = "N/A";
 $lang['New on %s'] = "Naujas %s";
-$lang['New password confirmation does not correspond'] = "Naujo slapta&#382;od&#382;io patvirtinimas nesutampa";
-$lang['New password sent by email'] = "Naujas spalta&#382;odis i&#353;si&#371;stas &#303; elektronin&#303; pa&#353;t&#261;";
-$lang['No email address'] = "N&#279;ra elektroninio pa&#353;to adreso";
-$lang['No classic user matches this email address'] = "Netinkamas elektroninio pa&#352;to adresas";
 $lang['Notification'] = 'Pranešimas';
 $lang['Number of items'] = 'Vienetų skaičius';
@@ -115,5 +104,4 @@
 $lang['Quick connect'] = "Greitas prisijungimas";
 $lang['RSS feed'] = 'RSS srautas';
-$lang['Rate'] = "&#303;vertinti";
 $lang['Register'] = "Registruotis";
 $lang['Registration'] = "Registracija";
@@ -124,6 +112,4 @@
 $lang['Search tags'] = 'Ieškoti žymų';
 $lang['Search'] = 'Ieškoti';
-$lang['See available tags'] = "&#382;i&#363;r&#279;ti naujas &#382;ymas";
-$lang['Send new password'] = "Si&#371;sti nauja slapta&#382;od&#303;";
 $lang['Since'] = "Nuo";
 $lang['Sort by'] = 'Rūšiavimas pagal';
@@ -131,5 +117,4 @@
 $lang['Tag'] = 'Žyma';
 $lang['Tags'] = 'Žymos';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = "The RSS feed teikia prane&#352;imus apie naujus ivykius i&#352; &#352;ios svetaines: naujas nuotraukos, atnaujintas kategorijas, naujus komentarus. Turi buti naudojami su RSS skaitytuvu.";
 $lang['Unknown feed identifier'] = 'Nežinomas identifikatorius';
 $lang['User comments'] = "Nario komentarai";
@@ -140,12 +125,8 @@
 $lang['About Piwigo'] = "Apie Piwigo";
 $lang['You are not authorized to access the requested page'] = 'Jūs neturite leidomo pasiekti norimą puslapį';
-$lang['add to caddie'] = "D&#279;ti &#303; krep&#352;el&#303;";
-$lang['add this image to your favorites'] = "&#303;traukti &#352;i&#260; nuotrauk&#260; &#303; m&#279;gstamiausias";
 $lang['Administration'] = "Administracija";
-$lang['Adviser mode enabled'] = "Patar&#279;jo re&#382;imas &#303;jungtas";
 $lang['all'] = "visi";
 $lang['ascending'] = 'didėjimo tvarka';
 $lang['author(s) : %s'] = "autorius : %s";
-$lang['Expand all categories'] = "I&#352;pl&#279;sti visas kategorijas";
 $lang['posted after %s (%s)'] = "paskelbta po %s (%s)";
 $lang['posted before %s (%s)'] = 'paskelbta prieš %s (%s)';
@@ -153,9 +134,6 @@
 $lang['posted on %s'] = "paskelbta %s";
 $lang['Best rated'] = 'Geriausiai vertinamos';
-$lang['display best rated items'] = "rodyti geriausia &#303;vertintas nuotraukas";
-$lang['caddie'] = "Krep&#352;elis";
 $lang['Calendar'] = "Kalendorius";
 $lang['All'] = "Visos";
-$lang['display each day with pictures, month per month'] = "rodyti kiekviena diena su nuotraukomis, menesio per menes&#303;";
 $lang['View'] = "Rodyti";
 $lang['chronology_monthly_calendar'] = "Menesio kalendorius";
@@ -186,14 +164,9 @@
 $lang['day'][6] = "&#352;e&#353;tadienis";
 $lang['Default'] = "Numatyta";
-$lang['delete this image from your favorites'] = "i&#353;trinti &#353;i&#261; nuotrauk&#261; i&#353; megstamiausi&#371; s&#261;ra&#353;o";
 $lang['Delete'] = 'Ištrinti';
 $lang['descending'] = 'mažėjančia';
-$lang['download'] = "si&#371;stis";
-$lang['download this file'] = "si&#371;sti &#353;&#303; fail&#261;";
 $lang['edit'] = "redaguoti";
 $lang['wrong date'] = "bloga data";
 $lang['excluded'] = "atmesti";
-$lang['My favorites'] = "Mano m&#279;gstamiausi";
-$lang['display my favorites pictures'] = "rodyti mano m&#279;gstamiausias nuotraukas";
 $lang['Favorites'] = 'Mėgstamiausios';
 $lang['First'] = "Pirmas";
@@ -203,13 +176,8 @@
 $lang['Hello'] = "Sveiki";
 $lang['available for administrators only'] = "tik administracijai";
-$lang['shows images at the root of this category'] = "Rodyti nuotraukas vir&#352;uje";
-$lang['See last users comments'] = "Rodyti paskutinius komentarus";
 $lang['customize the appareance of the gallery'] = 'redaguoti galerijos išvaizdą';
 $lang['search'] = 'ieškoti';
 $lang['Home'] = 'Pradžia';
 $lang['Identification'] = "Identifikacija";
-$lang['in this category'] = "&#352;ioje kategorijoje";
-$lang['in %d sub-category'] = "&#352;ioje %d sub-kategorijoje";
-$lang['in %d sub-categories'] = "&#352;iose %d sub-kategorijose";
 $lang['included'] = 'įskaitant';
 $lang['Invalid password!'] = 'Blogas slaptažodis!';
@@ -218,12 +186,6 @@
 $lang['Last'] = "Paskutinis";
 $lang['Logout'] = "Atsijungti";
-$lang['E-mail address'] = "Elektroninio pa&#352;to adresas";
 $lang['obligatory'] = "privalomas";
-$lang['Maximum height of the pictures'] = "Maksimalus nuoraukos auk&#352;tis";
-$lang['Maximum height must be a number superior to 50'] = "Maksimalus auk&#352;tis, skai&#269;ius turi b&#363;ti didesnis nei 50";
-$lang['Maximum width of the pictures'] = "Maksimalus nuoraukos plotis";
-$lang['Maximum width must be a number superior to 50'] = "Maksimalus plotis, skai&#269;ius turi b&#363;ti didesnis nei 50";
 $lang['display a calendar by creation date'] = 'rodyti kalendorių pagal sukūrimo datą';
-$lang['display all elements in all sub-categories'] = "rodyti visas nuotraukas i&#352; vis&#371; kategorij&#371;";
 $lang['return to normal view mode'] = 'grįžti į normalų peržiūros režimą';
 $lang['display a calendar by posted date'] = 'rodyti kalendorių pagal patalpinimo datą';
@@ -241,31 +203,15 @@
 $lang['month'][9] = "Rugs&#279;jis";
 $lang['Most visited'] = 'Žiūrimiausios';
-$lang['display most visited pictures'] = "display most visited pictures";
-$lang['The number of images per row must be a not null scalar'] = "Nuotrauk&#371; eilu&#269;i&#371; skai&#269;ius neturiu b&#363;ti nulis";
-$lang['Number of images per row'] = "Nuotrauk&#371; eiliu&#269;i&#371; skai&#269;ius";
-$lang['The number of rows per page must be a not null scalar'] = "Nuotrauk&#371; skai&#269;ius puslapyje neturi b&#363;ti lygus nuliui";
-$lang['Number of rows per page'] = "Eilu&#269;iu skai&#269;ius puslapyje";
 $lang['Unknown identifier'] = 'Nežinomas ifentifikatorius';
 $lang['New password'] = 'Naujas slaptažodis';
-$lang['Rate this picture'] = "&#303;vertinti &#352;i&#261; nuotrauk&#261;";
 $lang['Next'] = "Kita";
 $lang['no rate'] = 'nėra įvertinimų';
-$lang['Elements posted within the last %d day.'] = "Paskelbti per paskutn&#281; %d dien&#261;.";
-$lang['Elements posted within the last %d days.'] = "Paskelbti per paskutnes %d dienas.";
 $lang['password updated'] = 'slaptažodis atnaujintas';
 $lang['Recent period must be a positive integer value'] = "Naujausias laikotarpis turi buti teigiamas sveikasis skaicius";
-$lang['picture'] = "nuotrauka";
-$lang['Click on the picture to see it in high definition'] = "Spauskite ant nuotraukos, nor&#279;dami j&#261; pamatyti did&#382;iausia rai&#352;ka";
 $lang['Show file metadata'] = "Rodyti failo duomenis";
 $lang['Powered by'] = "Sukurta";
 $lang['Preferences'] = "Nustatymai";
 $lang['Previous'] = "Atgal";
-$lang['Random pictures'] = "Atsitiktin&#279;s nuotraukos";
-$lang['display a set of random pictures'] = "Rodyti atsitiktini&#371; nuotrauk&#371; rinkin&#303;";
-$lang['Recent categories'] = "Naujausios kategorijos";
-$lang['display recently updated categories'] = "Rodyti neseniai atnaujintas kategorijas";
 $lang['Recent period'] = "Paskutinis laikotarpis";
-$lang['Recent pictures'] = "Naujausios nuotraukos";
-$lang['display most recent pictures'] = "rodyti naujausias nuotraukas";
 $lang['Redirection...'] = "Nukreipiama...";
 $lang['Please, enter a login'] = 'įrašykite prisijungimo vardą';
@@ -278,8 +224,5 @@
 $lang['remove this tag from the list'] = 'ištrinti šią žymą iš šio sąrašo';
 $lang['representative'] = "atstovauti";
-$lang['return to homepage'] = "Gri&#382;ti &#303; pradin&#303; puslap&#303;";
 $lang['Search for Author'] = 'Ieškoti pagal autorių';
-$lang['Search in Categories'] = "Ie&#352;koti kategorijose";
-$lang['Search by Date'] = "Ie&#352;koti pagal data";
 $lang['Date'] = "Data";
 $lang['End-Date'] = "Pabaigos data";
@@ -287,12 +230,8 @@
 $lang['Search for words'] = 'Ieškoti žodžių';
 $lang['Search for all terms'] = 'Ieškoti visu žodžių';
-$lang['Search for any terms'] = "Ie&#352;koti betkoki&#371; &#382;od&#382;i&#371;";
 $lang['Empty query. No criteria has been entered.'] = 'Tušcia užklausa. Nėra kriterijų';
-$lang['Search Options'] = "Paie&#352;kos nustatymai";
 $lang['Search results'] = 'Paieškos rezultatai';
-$lang['Search in subcategories'] = "Ie&#352;koti sub-ketegorijose";
 $lang['searched words : %s'] = 'ieškoti žodžiai : %s';
 $lang['Contact'] = "Kontaktai";
-$lang['set as category representative'] = "nustatyti kategorij&#261;";
 $lang['Show number of comments'] = 'Rodyti kiek yra komentarų';
 $lang['Show number of hits'] = "Rodyti paspaudimus";
@@ -301,6 +240,4 @@
 $lang['Specials'] = "Specials";
 $lang['SQL queries in'] = "SQL queries in";
-$lang['display only recently posted images'] = "rodyti tik neseniai paskelbtas vaizdus";
-$lang['return to the display of all images'] = "gr&#303;&#382;ti prie vis&#371; nuotrauk&#371;";
 $lang['the beginning'] = 'pradžia';
 $lang['Interface theme'] = 'Išvaizda';
@@ -310,17 +247,5 @@
 $lang['today'] = 'Šiandien';
 $lang['Update your rating'] = "Atnaujinti savo ivertinimus";
-$lang['wrong filename'] = "blogas failo vardas";
-$lang['the filesize of the picture must not exceed :'] = "Nuotraokos dydis neturi vir&#352;yti :";
-$lang['the picture must be to the fileformat jpg, gif or png'] = "nuotraukos formatas privalo b&#363;ti: jpg, gif arba png";
-$lang['the height of the picture must not exceed :'] = "nuotraukos auk&#352;tis neturi vir&#352;yti :";
-$lang['Optional, but recommended : choose a thumbnail to associate to'] = "Neprivaloma, bet rekomenduojama pasirinkt&#261; miniatiur&#261; susieti";
-$lang['the width of the picture must not exceed :'] = "nuotraukos plotis neturi vir&#352;yti :";
-$lang['can\'t upload the picture on the server'] = "nuotrauka negali b&#363;ti &#303;kelta";
 $lang['the username must be given'] = "reikalingas slapyvardis";
-$lang['A picture\'s name already used'] = "&#352;is nuotraukos pavadinimas jau naudojamas";
-$lang['You must choose a picture fileformat for the image'] = "turite pasirinkti nuotraukos format&#261; i&#352;špaveikslelio";
-$lang['Name of the picture'] = "Nuotraukos pavadinimas";
-$lang['Upload a picture'] = "&#303;kelti nuotrauka";
-$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = "Nuotrauka &#303;kelta s&#279;kmingai, administratorius kuo greiciau j&#261; patvirtins.";
 $lang['Upload a picture'] = "&#303;kelti nuotrauka";
 $lang['useful when password forgotten'] = 'naudinga tuo atveju, jei slaptažodi pamiršote';
@@ -336,13 +261,5 @@
 $lang['Admin: %s'] = "Administratorius: %s";
 $lang['Registration of %s'] = "Registracija %s";
-$lang['Category: %s'] = "Kategorija: %s";
-$lang['Picture name: %s'] = "Nuotraukos pavadinimas: %s";
-$lang['Creation date: %s'] = "Suk&#363;rimo data: %s";
-$lang['Waiting page: %s'] = "Laukia puslapio: %s";
-$lang['Picture uploaded by %s'] = "Nuotrauk&#261; ik&#279;l&#279; %s";
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Blogas vartotojo "guest "statusas, bus naudojama numatytoji busena. Prašome apie tai pranešti administratoriui.';
-$lang['Administrator, webmaster and special user cannot use this method'] = "Tik administratorius, moderatorius ir specialus vartotojai gali naudoti &#352;&#303; metod&#261;";
-$lang['a user use already this mail address'] = "Kitas narys jau vartoja &#352;&#303; elektronin&#303; pa&#352;to adres&#261;";
-$lang['Category results for'] = "Kategorij&#371; rezultatai";
 $lang['Tag results for'] = 'žymų rezultatai';
 $lang['from %s to %s'] = "nuo %s iki %s";
@@ -356,11 +273,4 @@
 $lang['Yes'] = "Taip";
 $lang['No'] = "Ne";
-$lang['%d image'] = "%d nuotrauka";
-$lang['%d images'] = "%d nuotraukos";
-$lang['%d image is also linked to current tags'] = "%d nuotrauka yra taip pat susijusi su &#352;iomis &#382;ymomis";
-$lang['%d images are also linked to current tags'] = "%d nuotraukos yra taip pat susije su &#352;iomis &#382;ymomis";
-$lang['See images linked to this tag only'] = "&#382;i&#363;reti nuotraukas susijusias su &#352;ia &#382;yma";
-$lang['images posted during the last %d days'] = "nuotraukos &#303;keltos per paskutines %d dienas";
-$lang['Choose an image'] = "Pasirinkti nuotrauk&#261;";
 $lang['Piwigo Help'] = "Piwigo pagalba";
 $lang['Rank'] = 'įvertinimas';
@@ -370,11 +280,7 @@
 $lang['cloud'] = "debesis";
 $lang['Reset to default values'] = "Nustatyti numatytuosius nustatymus";
-$lang['delete all images from your favorites'] = "i&#352;trinti visas nuotraukas i&#352; m&#279;gstamiausi&#371;";
 $lang['Sent by'] = 'Išsiųsta';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Slapukai yra blokuojami arba nepalaikomi jūsų naršyklėje. Jūs turite įgalinti slapukus prisijungdami';
 
-$lang['Some info about this picture'] = "Informacija apie &#352;i&#261; nuotrauk&#261;";
-$lang['Some more (technical) info about this picture'] = "Daugiau informacijos apie &#352;i&#261; nuotrauk&#261;";
-$lang['edit this comment'] = "Redaguoti &#352;&#303; komentar&#261;";
 $lang['Edit a comment'] = 'Redaguoti komentarą';
 $lang['Are you sure?'] = "Ar esi tikras?";
@@ -390,6 +296,4 @@
 $lang['This author modified following comment:'] = 'Autorius pakeitė šį komentarą:';
 $lang['This author removed the comment with id %d'] = 'Šis autorius ištrynė komentarą, kurio id yra %d';
-$lang['delete this comment'] = "i&#353;trinti komentar&#261;";
-$lang['validate this comment'] = 'patvirtinti komentar&#261;';
 $lang['month']['8'] = 'Rugpjūtis';
 $lang['month']['9'] = 'Rugsėjis';