Index: /extensions/Slide/js/minified/slide.min.js
===================================================================
--- /extensions/Slide/js/minified/slide.min.js	(revision 25052)
+++ /extensions/Slide/js/minified/slide.min.js	(revision 25053)
@@ -1,1 +1,1 @@
-$(function(){function u(){$.pageslide.close()}if($("body").attr("id")=="theCategoryPage"){$("#menu_start").hide()}if($("body").attr("id")!="theCategoryPage"){$("#menu").hide()}var e=[$("#menu_start a"),$(".navigationBar a"),$(".calendarBar a"),$(".calendarCalBar a"),$(".navigationButtons a"),$("#imageHeaderBar a"),$(".calImg a"),$(".date_today"),$("#sortOrderBox a"),$("#derivativeSwitchBox a"),$("#sortOrderLink"),$("#derivativeSwitchLink"),$(".actions a"),$(".navThumb"),$(".calendarTitle a"),$("#linkToPiwigo a"),$("#copyright a"),$("#languageSwitchLink"),$("#languageSwitchBox a"),$("#theHeader a"),$("#myHomePage a"),$("#mbAdditionalPages a"),$("#photosAddContent a"),$(".amm-MenuBar-links-icons a")];$.each(e,function(){$(this).attr("class","noSlide")});var t=[$(".pwg-icon-letters"),$(".pwg-icon-cloud"),$(".pwg-icon-help"),$(".pwg-icon-favorite-del"),$(".pwg-icon-caddie-add"),$(".pwg-icon-category-view-flat"),$(".pwg-icon-category-view-normal"),$("#thePicturePage .pwg-icon-slideshow"),$("#thePicturePage .pwg-icon-camera-info"),$("#thePicturePage .pwg-icon-save"),$("#thePicturePage .pwg-icon-favorite-add"),$("#thePicturePage .pwg-icon-representative"),$("#thePicturePage .pwg-icon-edit"),$(".pwg-icon-category-edit")];$.each(t,function(){$(this).parent().attr("class","noSlide")});$("a:not(.noSlide)").addClass("slide");var n=[$(".description_stuffs .zero nb-comments"),$(".description_stuffs .nb-hits"),$(".description_stuffs .nb-comments"),$(".pwg-icon-arrow-n").parent()];$.each(n,function(){$(this).remove()});var r=[$("#linkToPiwigo a"),$("#copyright a")];$.each(r,function(){$(this).attr("target","blank")});$(".stuffs_block .illustration .description").removeClass("description").addClass("description_stuffs");$(".titrePage + div").addClass("blockConteneur");$('.myHomePage_links a[href="index.php?/contact"]').addClass("slide");var i={verticalDragMinHeight:100,verticalDragMaxHeight:100,autoReinitialise:true};var s=$(".scrollpane").jScrollPane(i);var o=s.data("jsp");$(function(){$(".slide").pageslide({direction:"left",speed:2e3})});$(function(){var e=window.parent.length;if(e==1){$("#menubar").remove();$("#theHeader").addClass("headbord")}if(e>3){$("#menubar").remove();$("#theHeader").addClass("headbord")}});var a=$(window).width()-41+"px",f=$(window).height()+"px",l=$(window).height()-180+"px";$("#pageslide").css({width:a});$("#the_page").css({height:f});$(".intabs").css({height:f});$("#content").css({minHeight:l});$(".tabs").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".jspTrack").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".slide").bind("click",function(){$(".intabs").addClass("visibleTransi").css("cursor","pointer");$(".jspDrag").css("cursor","default");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var c=$("#theIdentificationPage .titrePage a").first().text(),h='<a href="index.php">'+c+"</a>";$("#theIdentificationPage .intabs").addClass("visible");$("#theIdentificationPage #sld_tab").replaceWith('<div id="sld_tabIdent">'+h+"</div>");$("#theIdentificationPage #menubar").remove();var p=$("#sld_tab").text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/","");if(p.indexOf("[")>=0){var p=p.substring(0,p.indexOf("[",1))}$("#sld_tab").replaceWith("<div id='sld_tab'>"+p+"</div>");var p=$("#content .titrePage h2").first().text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/","");$("#content .titrePage h2").first().replaceWith("<h2>"+p+"</h2>");$(".browsePath a").remove();var p=$(".browsePath").text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/",""),p=p.replace("[",""),p=p.replace("]","");$(".browsePath").replaceWith("<h2>"+p+"</h2>");var d=$(".illustration img").width();if(d<230){$(".description").css("width","80%")}$("#submitSearch").bind("click",function(){$(".intabs").addClass("visibleTransi");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var v="http://piwitheme.fr";var h=' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';$("#copyright").append(h);if($.browser.msie&&parseInt($.browser.version,10)===8){$("#sortOrderLink").click(function(){var e=$("#sortOrderBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#sortOrderBox").on("mouseleave",function(){$(this).hide()});$("#derivativeSwitchLink").click(function(){var e=$("#derivativeSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#derivativeSwitchBox").on("mouseleave",function(){$(this).hide()});$("#languageSwitchLink").click(function(){var e=$("#languageSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#languageSwitchBox").on("mouseleave",function(){$(this).hide()})}})
+$(function(){function u(){$.pageslide.close()}if($("body").attr("id")=="theCategoryPage"){$("#menu_start").hide()}if($("body").attr("id")!="theCategoryPage"){$("#menu").hide()}var e=[$("#menu_start a"),$(".navigationBar a"),$(".calendarBar a"),$(".calendarCalBar a"),$(".navigationButtons a"),$("#imageHeaderBar a"),$(".calImg a"),$(".date_today"),$("#sortOrderBox a"),$("#derivativeSwitchBox a"),$("#sortOrderLink"),$("#derivativeSwitchLink"),$(".actions a"),$(".navThumb"),$(".calendarTitle a"),$("#linkToPiwigo a"),$("#copyright a"),$("#languageSwitchLink"),$("#languageSwitchBox a"),$("#theHeader a"),$("#myHomePage a"),$("#mbAdditionalPages a"),$("#photosAddContent a"),$(".amm-MenuBar-links-icons a")];$(document).ready(function(){if($(".illustration a").hasClass("cboxElement")){$(".illustration a").addClass("noSlide").removeClass("slide")}});$.each(e,function(){$(this).attr("class","noSlide")});var t=[$(".pwg-icon-letters"),$(".pwg-icon-cloud"),$(".pwg-icon-help"),$(".pwg-icon-favorite-del"),$(".pwg-icon-caddie-add"),$(".pwg-icon-category-view-flat"),$(".pwg-icon-category-view-normal"),$("#thePicturePage .pwg-icon-slideshow"),$("#thePicturePage .pwg-icon-camera-info"),$("#thePicturePage .pwg-icon-save"),$("#thePicturePage .pwg-icon-favorite-add"),$("#thePicturePage .pwg-icon-representative"),$("#thePicturePage .pwg-icon-edit"),$(".pwg-icon-category-edit")];$.each(t,function(){$(this).parent().attr("class","noSlide")});$("a:not(.noSlide)").addClass("slide");var n=[$(".description_stuffs .zero nb-comments"),$(".description_stuffs .nb-hits"),$(".description_stuffs .nb-comments"),$(".pwg-icon-arrow-n").parent()];$.each(n,function(){$(this).remove()});var r=[$("#linkToPiwigo a"),$("#copyright a")];$.each(r,function(){$(this).attr("target","blank")});$(".stuffs_block .illustration .description").removeClass("description").addClass("description_stuffs");$(".titrePage + div").addClass("blockConteneur");$('.myHomePage_links a[href="index.php?/contact"]').addClass("slide");var i={verticalDragMinHeight:100,verticalDragMaxHeight:100,autoReinitialise:true};var s=$(".scrollpane").jScrollPane(i);var o=s.data("jsp");$(function(){$(".slide").pageslide({direction:"left",speed:2e3})});$(function(){var e=window.parent.length;if(e==1){$("#menubar").remove();$("#theHeader").addClass("headbord")}if(e>3){$("#menubar").remove();$("#theHeader").addClass("headbord")}});var a=$(window).width()-41+"px",f=$(window).height()+"px",l=$(window).height()-180+"px";$("#pageslide").css({width:a});$("#the_page").css({height:f});$(".intabs").css({height:f});$("#content").css({minHeight:l});$(".tabs").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".jspTrack").bind("click",function(){$(".intabs").removeClass("visibleTransi").css("cursor","default");$(".jspDrag").css("cursor","pointer");$(".jspVerticalBar").addClass("visibleTransi");$(".jspVerticalBar").removeClass("hideTransi")});$(".slide").bind("click",function(){$(".intabs").addClass("visibleTransi").css("cursor","pointer");$(".jspDrag").css("cursor","default");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var c=$("#theIdentificationPage .titrePage a").first().text(),h='<a href="index.php">'+c+"</a>";$("#theIdentificationPage .intabs").addClass("visible");$("#theIdentificationPage #sld_tab").replaceWith('<div id="sld_tabIdent">'+h+"</div>");$("#theIdentificationPage #menubar").remove();var p=$("#sld_tab").text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/","");if(p.indexOf("[")>=0){var p=p.substring(0,p.indexOf("[",1))}$("#sld_tab").replaceWith("<div id='sld_tab'>"+p+"</div>");var p=$("#content .titrePage h2").first().text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/","");$("#content .titrePage h2").first().replaceWith("<h2>"+p+"</h2>");$(".browsePath a").remove();var p=$(".browsePath").text(),p=p.substring(p.lastIndexOf("/")),p=p.replace("/",""),p=p.replace("[",""),p=p.replace("]","");$(".browsePath").replaceWith("<h2>"+p+"</h2>");var d=$(".illustration img").width();if(d<230){$(".description").css("width","80%")}$("#submitSearch").bind("click",function(){$(".intabs").addClass("visibleTransi");$(".jspVerticalBar").addClass("hideTransi");$(".jspVerticalBar").removeClass("visibleTransi")});var v="http://piwitheme.fr";var h=' - theme by <a href="http://piwitheme.fr" target="_blank">piwitheme</a>';$("#copyright").append(h);if($.browser.msie&&parseInt($.browser.version,10)===8){$("#sortOrderLink").click(function(){var e=$("#sortOrderBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#sortOrderBox").on("mouseleave",function(){$(this).hide()});$("#derivativeSwitchLink").click(function(){var e=$("#derivativeSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#derivativeSwitchBox").on("mouseleave",function(){$(this).hide()});$("#languageSwitchLink").click(function(){var e=$("#languageSwitchBox");e.css("left",Math.min($(this).offset().left,$(window).width()-e.outerWidth(true)-5)).css("top",$(this).offset().top+$(this).outerHeight(true)).toggle()});$("#languageSwitchBox").on("mouseleave",function(){$(this).hide()})}})
Index: /extensions/Slide/js/slide.js
===================================================================
--- /extensions/Slide/js/slide.js	(revision 25052)
+++ /extensions/Slide/js/slide.js	(revision 25053)
@@ -32,6 +32,15 @@
 						$('#mbAdditionalPages a'),
 						$('#photosAddContent a'),
-						$('.amm-MenuBar-links-icons a')
-						];
+						$('.amm-MenuBar-links-icons a'),
+						];
+						
+		$( document ).ready(function() 
+			{				
+			if($('.illustration a').hasClass('cboxElement'))
+				{
+				$('.illustration a').addClass('noSlide').removeClass('slide');
+				}
+		});	
+		
 			$.each(t,function(){
 				$(this).attr('class','noSlide');