Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 25053)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 25054)
@@ -82,5 +82,5 @@
 $lang['Environment'] = 'Ambiente';
 $lang['Form'] = 'Formulário';
-$lang['Gallery title'] = 'título da galeria';
+$lang['Gallery title'] = 'Título da galeria';
 $lang['Grant selected groups'] = 'Permitir os grupos selecionados';
 $lang['Grant selected users'] = 'Permitir os usuários selecionados';
@@ -122,5 +122,5 @@
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'O permalink deve ser composto de a-z, A-Z, 0-9, "-", "_" ou "/". Não deve ser numérico ou começar com número seguido de "-"';
 $lang['Permalink %s is already used by album %s'] = 'Permalink %s já está sendo usado pelo álbum %s';
-$lang['Permalink history'] = 'Histórico permalink';
+$lang['Permalink history'] = 'Histórico de permalinks';
 $lang['Permalinks'] = 'Permalinks';
 $lang['Permission denied'] = 'Permissão negada';
@@ -142,5 +142,5 @@
 $lang['Represents'] = 'Representa';
 $lang['Save order'] = 'Salvar ordem';
-$lang['Save to permalink history'] = 'Salvar no histórico permalink';
+$lang['Save to permalink history'] = 'Salvar no histórico de permalinks';
 $lang['Select at least one album'] = 'Selecione ao menos um álbum';
 $lang['Select at least one photo'] = 'Selecionar ao menos uma foto';
@@ -224,5 +224,4 @@
 $lang['To send ?'] = 'Enviar ?';
 $lang['Last send'] = 'Enviado pela última vez';
-$lang['Email'] = 'email';
 $lang['User'] = 'Usuário';
 $lang['See you soon,'] = 'Até breve,';
@@ -318,5 +317,5 @@
 $lang['target'] = 'alvo';
 $lang['Thumbnail'] = 'Miniatura';
-$lang['Title'] = 'título';
+$lang['Title'] = 'Título';
 $lang['Album list management'] = 'Gerenciamento de álbuns';
 $lang['Piwigo configuration'] = 'Configuração Piwigo';
@@ -371,5 +370,5 @@
 $lang['even already synchronized photos'] = 'itens já sincronizados';
 $lang['Used metadata'] = 'Metadados usados';
-$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'O nome dos diretórios e dos arquivos devem ser compostos de letras, números, "-", "_" ou "."';
+$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = 'O nome dos diretórios e dos arquivos devem conter somente letras, números, "-", "_" ou "."';
 $lang['wrong filename'] = 'nome de arquivo errado';
 $lang['Upload'] = 'Enviar (Upload)';
@@ -516,5 +515,5 @@
 $lang['nothing'] = 'nada';
 $lang['overrides existing values with empty ones'] = 'sobrepor os valores existentes com valores vazios';
-$lang['Manage photo ranks'] = 'Gerenciar posições (image ranks)';
+$lang['Manage photo ranks'] = 'Ordenação das fotos';
 $lang['Edit ranks'] = 'Editar posições (ranks)';
 $lang['No photo in this album'] = 'Nenhum item nesse álbum';
@@ -570,5 +569,5 @@
 $lang['Album "%s" has been added'] = 'Álbum "%s" foi inserido';
 $lang['Album "%s" now contains %d photos'] = 'Álbum "%s" contém agora %d fotos';
-$lang['Album name'] = 'Nome do Álbum';
+$lang['Album name'] = 'Nome do álbum';
 $lang['Album photos associated to the following albums: %s'] = 'Álbum associado aos seguintes álbuns: %s';
 $lang['Albums automatically sorted'] = 'Albuns classificados automaticamente';
@@ -591,5 +590,5 @@
 $lang['Bound Theme'] = 'Tema vinculado';
 $lang['By %s'] = 'Por %s';
-$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Por padrão, Piwigo irá criar um novo tamhanho web a partir da versão HD (alta definição) da sua foto.';
+$lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = 'Por padrão, Piwigo criará um novo tamanho web a partir da versão HD (alta definição) da sua foto.';
 $lang['By rank'] = 'Por classificação';
 $lang['Cannot delete the old permalink !'] = 'O antigo link permanente não pode ser deletado!';
@@ -689,5 +688,5 @@
 $lang['Cancel'] = 'Cancelar';
 $lang['Center of interest'] = 'Centro de interesse';
-$lang['Delete multiple size images'] = 'Apaga múltiplos tamanhos de imagens';
+$lang['Delete multiple size images'] = 'Apagar múltiplos tamanhos de imagens';
 $lang['Duplicate selected tags'] = 'Duplicar as tags selecionadas';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERRO: ESTE PLUGIN ESTÁ FALTANDO, MAS O MESMO ESTÁ INSTALADO! DESINSTALE O MESMO AGORA.';
@@ -699,5 +698,5 @@
 $lang['Following themes may not be compatible with the new version of Piwigo:'] = 'Os seguintes temas podem não ser compatíveis com a nova versão do Piwigo:';
 $lang['Gallery unlocked'] = 'Galeria destravada';
-$lang['Generate multiple size images'] = 'Gera múltiplos tamanhos de imagem';
+$lang['Generate multiple size images'] = 'Gerar múltiplos tamanhos de imagem';
 $lang['Graphics Library'] = 'Biblioteca gráfica';
 $lang['Groups and users'] = 'Grupos e usuários';
@@ -724,7 +723,7 @@
 $lang['Missing Plugins'] = 'Plugins perdidos';
 $lang['Missing a temporary folder'] = 'Pasta temporária perdida';
-$lang['Move to album'] = 'Mova para Álbum';
+$lang['Move to album'] = 'Mover para o álbum';
 $lang['Multiple Size'] = 'Múltiplos tamanhos';
-$lang['Name of the duplicate'] = 'Nome do Duplicado';
+$lang['Name of the duplicate'] = 'Nome do duplicado';
 $lang['New Version'] = 'Nova Versão';
 $lang['No destination tag selected'] = 'Nenhuma tag de destino selecionada';
@@ -806,7 +805,7 @@
 $lang['Set as default language for unregistered and new users'] = 'Escolha o idioma padrão para os novos usuários e usuários não registrados.';
 $lang['Set as default theme for unregistered and new users'] = 'Escolha o tema padrão para os novos usuários e usuários não registrados.';
-$lang['Set author'] = 'Escolha o Autor';
-$lang['Set creation date'] = 'Escolha data de criação';
-$lang['Set title'] = 'Escolha título';
+$lang['Set author'] = 'Escolha o autor';
+$lang['Set creation date'] = 'Escolha a data de criação';
+$lang['Set title'] = 'Escolha o título';
 $lang['Settings'] = 'Configurações';
 $lang['Sharpen'] = 'Destacar';
@@ -852,5 +851,5 @@
 $lang['Tools'] = 'Ferramentas';
 $lang['Two updates are available'] = 'Duas atualizações estão disponíveis';
-$lang['Type here the author name'] = 'Digite aqui o nome do Autor';
+$lang['Type here the author name'] = 'Digite aqui o nome do autor';
 $lang['Type here the title'] = 'Digite aqui o título';
 $lang['Type in a search term'] = 'Digite um termo para pesquisar';
@@ -926,7 +925,5 @@
 $lang['top right corner'] = 'Canto superior direito';
 $lang['unknown'] = 'desconhecido';
-$lang['visitors need to login and have the appropriate permissions to see this album'] = 'Os visitantes precisam autenticar e ter as permissões apropriadas para ver esse álbum';
-$lang['Format'] = 'Formata';
-$lang['Invalid dimension'] = 'Tamanho inválido';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'os visitantes precisam autenticar e ter as permissões apropriadas para ver esse álbum';
 $lang['Landscape'] = 'Landscape';
 $lang['Manage photos'] = 'Gerencie Fotos';
@@ -949,5 +946,5 @@
 $lang['This group will be set to default'] = 'Esse grupo será usado por padrão';
 $lang['This group will be unset to default'] = 'Esse grupo nao será mais usado por padrao';
-$lang['Type here the name of the new group'] = 'Digite aqui o nome do novo grupo.';
+$lang['Type here the name of the new group'] = 'Digite aqui o nome do novo grupo';
 $lang['Purge user cache'] = 'limpa o cache do usuário';
 $lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'As dimensões da imagem serão reduzida para %dx%d pixels.';