Index: /extensions/UserAdvManager/branches/2.50/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 25071)
+++ /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 25072)
@@ -455,5 +455,7 @@
              Update da_DK, thanks to : Kaare
              Update el_GR, thanks to : bas_alba
-             
+
+
+-- 2.50.14 : Bug 2979 fixed - Users manually added by an admin with "Confirmation of registration for admins" disabled and "Automatic management of unconfirmed users" enabled will no longer receive a reminder email to confirm the registration
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.50/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 25071)
+++ /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 25072)
@@ -155,4 +155,5 @@
       elseif (is_admin() and isset($conf_UAM['ADMINCONFMAIL']) and $conf_UAM['ADMINCONFMAIL'] == 'false')
       {
+        SetValidated($register_user['id']);
         SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], false);
       }
@@ -176,4 +177,5 @@
       elseif (is_admin() and isset($conf_UAM['ADMINCONFMAIL']) and $conf_UAM['ADMINCONFMAIL'] == 'false')
       {
+        SetValidated($register_user['id']);
         SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], false);
       }
@@ -446,5 +448,5 @@
   }
 
-  // Avoid login into public galleries until registration confirmation is done
+  // Avoid login into private galleries until registration confirmation is done
   if ((isset($conf_UAM['REJECTCONNECT']) and $conf_UAM['REJECTCONNECT'] == 'false')
         or ((isset($conf_UAM['REJECTCONNECT']) and $conf_UAM['REJECTCONNECT'] == 'true') and UAM_UsrReg_Verif($user['id']))
@@ -771,5 +773,5 @@
   {
     if (count($collection) > 0)
-  		{
+		{
       // Process if a non-admin nor webmaster user is logged
       // ---------------------------------------------------
@@ -1621,5 +1623,4 @@
   if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
   {
-    UAMLog(get_absolute_root_url(),'','','');
     pwg_mail($email, array(
       'subject' => $subject,
@@ -2795,4 +2796,5 @@
   $query = '
 SELECT DISTINCT u.'.$conf['user_fields']['id'].' AS id,
+                u.UAM_validated,
                 ui.registration_date
 FROM '.USERS_TABLE.' AS u
@@ -2802,4 +2804,5 @@
   AND u.'.$conf['user_fields']['id'].' <> '.$conf['default_user_id'].'
   AND (TO_DAYS(NOW()) - TO_DAYS(ui.registration_date) >= "'.$conf_UAM_ConfirmMail['CONFIRMMAIL_DELAY'].'")
+  AND u.UAM_validated <> "true"
 ORDER BY ui.registration_date ASC;';
 
Index: /extensions/UserAdvManager/branches/2.50/language/pt_BR/description.txt
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_BR/description.txt	(revision 25071)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_BR/description.txt	(revision 25072)
@@ -1,1 +1,1 @@
-Fortalece as possibilidades de gerenciamento de usuários
+Aumenta as possibilidades de gerenciamento de usuários
Index: /extensions/UserAdvManager/branches/2.50/language/pt_BR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_BR/help.lang.php	(revision 25072)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_BR/help.lang.php	(revision 25072)
@@ -0,0 +1,52 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['UAM_tipsTitle_d'] = 'Dicas e vários exemplos de uso';
+$lang['UAM_remailtxt2Title'] = 'Email de lembrete sem uma nova chave';
+$lang['UAM_remailtxt1Title'] = 'Email de lembrete com uma nova chave gerada';
+$lang['UAM_passwtestTitle_d'] = 'Digite a senha a ser testada e clique em  &quot;Cálculo do score&quot; para ver o resultado.';
+$lang['UAM_passwtestTitle'] = 'Testando a complexidade da senha';
+$lang['UAM_confirmgrpTitle'] = 'Grupos';
+$lang['UAM_confirmlevelTitle'] = 'Nível de privacidade';
+$lang['UAM_GT_MainTitle_d'] = '- Gerenciamento automático ou manual de usuários fantasmas<br>
+- E-mailing<br>
+...';
+$lang['UAM_GTAutoDelTitle'] = 'Mensagem personalizada para remover uma conta';
+$lang['UAM_AdminValidationMail_d'] = 'Quando um administrador ou Webmaster da galeira confirma manualmente um registro pendente, um email de notificação é enviado ao usuário automaticamente. Coloque aqui o texto personalizado do email de validação.
+<br><br>
+Depois personalize o conteúdo inserindo tags especiais:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> para inserir automaticamente o nome do destinatário do email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> para inserir o título da galeria.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> para inserir a URL da sua galeria, se configurado nas opções do Piwigo.
+<br><br>
+Para usar múltiplos idiomas, é possível utilizar as tags do plugin de Descrições Estendidas, se estiver disponível.';
+$lang['UAM_AdminValidationMail_Subject_d'] = 'Quando um administrador ou Webmaster da galeira confirma manualmente um registro pendente, um email de notificação é enviado ao usuário automaticamente. Coloque aqui o assunto personalizado do email de validação.<br>
+Por padrão, o campo possui um texto genérico em Inglês mas é possível mudá-lo e usar tags de tradução [lang=?] do plugin Descrição Estendida, caso esteja instalado.
+<br><br>
+As tags seguintes de customização estão disponíveis sem usar o plugin de Descrição Estendida:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> para inserir o nome do destinatário do email automaticamente.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> para inserir o título da sua galeria.<br>';
+$lang['UAM_AddURL2Mail_d'] = 'Ativando essa opção, a URL de sua galeria será adicionada ao rodapé dos emails gerados pelo plugin, como uma assinatura.';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Personalize aqui seu texto explicativo que informa usuários não confirmados que eles não poderão conectar à galeria até que confirmem seu registro.
+<br><br>
+Este campo é compatível com o editor FCK e, para múltiplos idiomas, pode-se usar a tag [lang] do plugin de descrição estendida, se este estiver ativo.';
+?>
Index: /extensions/UserAdvManager/branches/2.50/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_BR/plugin.lang.php	(revision 25071)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_BR/plugin.lang.php	(revision 25072)
@@ -46,5 +46,5 @@
 $lang['UAM_Nb_Days'] = 'Diferença em dias';
 $lang['UAM_NewFeature'] = 'Nova funcionalidade:';
-$lang['UAM_No_Backup_File'] = 'Nenhum arquivo de backup disponível';
+$lang['UAM_No_Backup_File'] = 'Nenhum arquivo de backup disponível!';
 $lang['UAM_Delete_selected'] = 'Apagar';
 $lang['UAM_Disable'] = 'Desabilitar (padrão)';
@@ -159,3 +159,177 @@
 $lang['UAM_Err_audit_email_forbidden'] = '<b>Esta conta usa um provedor de e-mail proibida:</b>';
 $lang['UAM_Err_audit_username_char'] = '<b>Esta conta usa um ou mais caracteres proibidos:</b>';
+$lang['UAM_RejectConnexion_Custom_Txt'] = 'Personaliza texto de rejeição';
+$lang['UAM_No_validation_for_Guest'] = 'A conta "Guest" não pode haver confirmação';
+$lang['UAM_No_validation_for_Webmaster'] = 'a conta "Webmaster" não pode haver confirmação';
+$lang['UAM_No_validation_for_default_user'] = 'A conta padrão não pode haver confirmação';
+$lang['UAM_No_Usermanager'] = 'Não há registros não confirmados para listar no momento';
+$lang['UAM_No_Userlist'] = 'Não há visitantes para listar no momento';
+$lang['UAM_No_Ghosts'] = 'Não há visitantes fantasmas no momento';
+$lang['UAM_MiscOptions'] = 'Outras opções';
+$lang['UAM_MailInfo_Text'] = 'Personalize o email de informação:';
+$lang['UAM_MailInfo_Subject'] = 'Personalize o assunto do email de informação';
+$lang['UAM_MailExclusion_true'] = 'Exclua os seguintes domínios:<br>(use uma vírgula para separar cada domínio)';
+$lang['UAM_MailExclusion_No'] = 'Exclusão de domínios de email - Não disponível pois emails não são obrigatórios para registros!';
+$lang['UAM_MailExclusion'] = 'Exclusão de domínios de email';
+$lang['UAM_Link: %s'] = 'Por favor, clique nesse link para confirmar o registro: %s';
+$lang['UAM_HidePassw'] = 'Senha em texto puro no email de informação';
+$lang['UAM_Guest cannot be pwdreset'] = 'Renovação de senha não pode ser aplicado para conta de convidados!';
+$lang['UAM_Ghost_reminder_of_%s'] = '%s, este é um email de lembrete';
+$lang['UAM_GhostTracker_true'] = 'Habilitado. Máximo período em dias entre duas visitas:';
+$lang['UAM_GhostTracker_Title'] = 'Gerenciamento de visitantes fantasmas';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'O uso da tag [Kdays] é somente permitido se o limite de tempo para confirmação do registro está ativo. Veja o campo de texto em vermelho para corrigir o problema.';
+$lang['personal_content'] = 'Conteúdo';
+$lang['UAM_Reminder'] = 'Email de lembrete';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, sua chave de confirmação vai expirar';
+$lang['UAM_Tab_Global'] = 'Configuração';
+$lang['UAM_SubTitle1'] = 'Configuração de plugin';
+$lang['UAM_ScoreTest'] = 'Resultado:';
+$lang['UAM_Save'] = 'Rode o backup';
+$lang['UAM_Restore_File'] = 'Restaura configuração';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, sua chave de confirmação foi renovada';
+$lang['UAM_PwdReset'] = 'Renovação de senha';
+$lang['UAM_PwdReset_Done'] = 'Senha renovada';
+$lang['UAM_PwdReset_NA'] = 'Senha original';
+$lang['UAM_PwdReset_Todo'] = 'Senha a ser renovada';
+$lang['UAM_RedirToProfile'] = 'Redireciona para Página de personalização';
+$lang['UAM_Registration_Date'] = 'Data de registro';
+$lang['UAM_Reminder_Sent_NOK'] = 'Não';
+$lang['UAM_Reminder_Sent_OK'] = 'Sim';
+$lang['UAM_Password_Reset_Msg'] = 'Por favor, mude sua senha!';
+$lang['UAM_Password: %s'] = 'Senha: %s';
+$lang['UAM_No_Valid_Level'] = 'Nível de privacidade para usuários que ainda não confirmaram seu registro<br>';
+$lang['UAM_No_Confirm_Status'] = 'Estado para usuários que ainda não confirmaram seu registro<br>';
+$lang['UAM_No_Confirm_Group'] = 'Grupo para usuários que ainda não confirmaram seu registro<br>';
+$lang['UAM_Manual_validation_needed_for %s'] = 'O usuário %s se registrou e está aguardando validação manual do administrador.';
+$lang['UAM_LastVisit_Date'] = 'Última visita';
+$lang['UAM_GhostTracker'] = 'Gerenciamento de visitantes fantasmas (Rastreamento de Fantasmas)';
+$lang['UAM_Generic cannot be pwdreset'] = 'Renovação de senhas não pode ser atribuído para contas genéricas!';
+$lang['UAM_GT_Reset'] = 'Reset Rastreamento de Fantasmas';
+$lang['UAM_GT_Init'] = 'Inicializa Rastreamento de Fantasmas';
+$lang['UAM_GTAutoGp'] = 'Alteração automática de grupo/estado/nível de privacidade';
+$lang['UAM_GTAutoMail'] = 'Envio automático de email ao mudar grupo/estado/nível de privacidade';
+$lang['UAM_GTAutoDel'] = 'Remoção automática de contas';
+$lang['UAM_GTAuto'] = 'Gerenciamento automático de usuários fantasmas';
+$lang['UAM_AddURL2Mail'] = 'Adiciona a URL da galeria ao final dos emails (como uma assinatura)';
+$lang['UAM_Tips2_txt'] = '<ul>
+            <li>
+            Objetivos : Informar o visitante que o registo está aguardando a confirmação postando uma página adicional em substituição a galeria de páginas de índice padrão em cada uma dessas conexões , e isso, como o registro não está aprovado .
+            <br>
+            Vantagens sobre o método com PWG_Stuffs : Permitir informações de formatação e exibir as informações imediatamente após o registro de visitantes.
+            </li><br><br>
+            <li>
+Pré-requisito: <br>
+- Uma galeria com todas ou algumas categorias particulares, visível somente por usuários registrados<br>
+- Pelo menos dois seguintes grupos de usuários de Piwigo : "Aguardando", sem permissão nas categorias privadas, e " Confirmado", com todas as permissões nas categorias privadas<br>
+- UAM plugin<br>
+- Páginas Adicionais do plugin para adicionar e gerenciar uma página adicional para substituir a página índice da galeria<br>
+- Opcionalmente , o plugin de Descrição Extendida para suporte a multi-idiomas<br>
+            </ li><br><br>
+            <li>
+Estágios : <br>
+A. No plug-in UAM :
+              <ol>
+                <li> Habilitar o registro de confirmação </li>
+                <li> Digite o texto para explicação adicional que será anexado a confirmação de inscrição do e-mail. Se o plug-in de Descrição Extendida estiver ativado , as tags de linguagem pode ser usadas </li>
+                <li> Selecione o grupo de "Espera" em "Para os usuários que não tenham confirmado a sua inscrição " </li>
+                <li> Selecione o grupo "Confirmado" em " Para os usuários que já confirmaram a sua inscrição " </li>
+                <li> Salve a configuração do plugin </li>
+              </ol>
+<br>
+B. No plugin Páginas Adicionais:<br>
+                <b> NOTA: A gestão de direitos de acesso para os grupos em páginas adicionais deve ser ativado (consulte as configurações do plugin)</b>.
+                <br>
+              <ol>
+                <li> Adicione uma nova página com , pelo menos, os seguintes parâmetros:</li>
+                <ul>
+                  <li> Nome da página: O nome que você deseja dar à página adicional (ou seja: O registro não confirmado) </li>
+                  <li> Definir como página inicial verificada </li>
+                  <li> Grupos permitidos: Marque a caixa correspondente ao grupo "Espera" configurado no UAM </li>
+                  <li> Conteúdo: O texto que você deseja usar para visitantes</li>
+                </ul>
+                <br>
+                <li> E é isso! Somente os visitantes inscritos e cuja inscrição não tenha sido confirmada verá esta página de índice adicional. </Li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips1_txt'] = '<ul>
+            <li>
+            Objetivos : Informar o visitante que o registo está aguardando a aprovação ao exibir um bloco pessoal na página inicial da galeria, e isso, como o registo não está aprovado .
+            <br>
+            <b> Lembre-se : . Na operação padrão , o "Convidado" vê apenas as categorias públicas , sem mensagem de informação </ b>
+            </li><br>
+            <li>
+Pré-requisito: <br>
+- Uma galeria com todas ou algumas categorias particulares , visível somente por usuários registrados <br>
+- Pelo menos os dois seguintes grupos de usuários do Piwigo : "Aguardando", sem permissão nas categorias privadas, e "Confirmado", com todas as permissões nas categorias privadas <br>
+- UAM plugin<br>
+- PWG Stuffs plugin, para adicionar um módulo UAM especial<br>
+- Opcionalmente , o plugin de Descrição Alargada para suporte multi- idiomas <br></li> <br>
+            <li>
+Estágios:<br>
+A. No plug-in UAM :
+              <ol>
+                <li> Habilitar o registro de confirmação </li>
+                <li> Ativar PWG Stuffs, módulo opcional </li>
+                <li> Digite o texto para explicação adicional que será anexado a confirmação de inscrição no e-mail. Se o plug-in de Descrição Alargada é ativado , as tags de linguagem podem ser usadas </li>
+                <li> Selecione o grupo de "Espera" em "Para os usuários que não tenham confirmado a sua inscrição"</li>
+                <li> Selecione o grupo "Confirmado" em " Para os usuários que já confirmaram a sua inscrição " </li>
+                <li> Salve a configuração do plugin </li>
+              </ol>
+<br>
+B. No plugin do PWG Stuffs :
+              <ol>
+                <li> Vá para a aba "Adicionar um novo módulo " </li>
+                <li> Escolha "UAM Module" </li>
+                <li> Configure o módulo , indicando o título (por exemplo, "confirmação pendente de Registro") e sua descrição , e só verificar "Aguardando" na lista de grupos permitidos </li>
+                <li> conteúdo completo do módulo com as informações da mensagem a ser exibida para os usuários não confirmados . Como UAM , linguagens de marcação pode ser usado se o plugin está habilitado para Descrição Extendida </li>
+                <li> Verifique "Mostrar o módulo na página inicial do site" </li>
+                <li> validar a configuração do módulo </li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Support_txt'] = 'O suporte oficial para este plugin é encontrado somente neste tópico do forum Piwigo:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Forum em inglês - http://piwigo.org/forum/viewtopic.php?id=15015</a><br><br>
+Tamem disponível, no bugtracker do projeto: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['UAM_Restore'] = 'Para restaurar o arquivo de backup de sua configuração. Apenas o arquivo salvo no servidor é tida em conta.
+<br><br>
+<b style="color:red;">Esteja atento a versão de backup!<br>Um backup feito a partir de uma versão do plug-in só pode ser restaurada na mesma versão. </b>';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erro de consistência na configuração escolhida:
+<br><br>
+"Definir o monitoramento de usuários registrados e outras opções> Gestão visitantes Ghost (Ghost Tracker)> Gestão automática de  usuários ghost> O envio automatico de um e-mail quando mudar de grupo / status" não pode ser ativado se "Definir as confirmações de inscrição> Confirmação de registro - "Confirmação pelo usuário" não for habilitado em primeiro lugar.
+<br><br>
+Para garantir a coerência, a opção "enviar automaticamente um e-mail quando mudar de grupo / status" foi automaticamente reposicionado "desativado".
+<br><br>';
+$lang['UAM_Tips1'] = 'Informações de registro não confirmado com UAM e PWG_Stuffs';
+$lang['UAM_Tips2'] = 'Informações de registro não confirmado em Páginas da UAM e Adicionais';
+$lang['UAM_Error_Using_illegal_flag'] = 'Erro de sintaxe! O [Kdays] bandeira de Texto Automático é usado como "Prazo de confirmação de registo limitado por" opção não foi ativado. Por favor ativar a opção ou corrigir o campo de texto(s) colorido em vermelho.';
+$lang['UAM_Expired_Group'] = '<b>Grupo</b> para o registro do usuário expirou<br>';
+$lang['UAM_Expired_Level'] = '<b>Nível de privacidade</b> para o registro do usuário expirou<br>';
+$lang['UAM_Expired_Status'] = '<b>Estado</b> para o registro do usuário expirou<br>';
+$lang['UAM_Password_Enforced'] = 'Reforçar o nível de senhas de segurança';
+$lang['UAM_Password_Enforced_true'] = 'Ativar. Pontuação Mínima:';
+$lang['UAM_RejectConnexion'] = 'Rejeitar conexão do usuário até que o registo seja confirmado';
+$lang['UAM_Restoration_NOK'] = 'Ocorreu um erro ao restaurar a configuração. Por favor verifique a validade de seu arquivo de backup.';
+$lang['UAM_Restoration_OK'] = 'Restauração de sua configuração concluída com sucesso! Por favor, recarregue a página de administração da UAM para visualizar as configurações restauradas.';
+$lang['UAM_Stuffs'] = 'Bloco PWG Stuffs';
+$lang['UAM_Stuffs_Desc'] = 'Adiciona um bloco de informações para os usuários não confirmados';
+$lang['UAM_Stuffs_Title'] = 'Bloco UAM';
+$lang['UAM_SubTitle4'] = 'Ghost Tracker';
+$lang['UAM_Subject admin validation for %s'] = 'Registro de %s aguarda para validação';
+$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker';
+$lang['UAM_GTAutomail_Subject'] = 'Personalização automática do assunto do email rebaixamento  Ghost Tracker';
+$lang['UAM_GTAutomail_Text'] = 'Personalize o texto do e-mail rebaixamento';
+$lang['UAM_GTReminder_Subject'] = 'Personalização manual do assunto do email do Ghost Tracker';
+$lang['UAM_GhostTracker_Init'] = 'Se você ativar esse recurso pela primeira vez ou se você tiver reativado depois de um longo período, durante o qual os novos visitantes forão registrados, você deve inicializar ou reiniciar o Ghost Tracker. Essa ação é feita somente após a ativação ou reativação da opção. Por favor, clique <u>uma vez</u> o botão de reinicializar abaixo.';
+$lang['UAM_GhostTracker_Init_OK'] = 'Ghost Tracker redefinição concluída!';
+$lang['UAM_GhostTracker_ReminderText'] = 'Lembrete personalizar GhostTracker\'s';
+$lang['UAM_Mail_Info'] = 'Informações de e-mail para o usuário:';
+$lang['UAM_No_Casse'] = 'Nomes de usuários: maiúsculas e minúsculas';
+$lang['UAM_No_reminder_for_Guest'] = 'A conta "Convidado" não está sujeito a receber lembretes de GhostTracker';
+$lang['UAM_No_reminder_for_Webmaster'] = 'A conta "Webmaster" não está sujeito a receber lembretes de GhostTracker';
+$lang['UAM_No_reminder_for_default_user'] = 'A conta padrão não está sujeito a receber lembretes de GhostTracker';
+$lang['UAM_No_reminder_for_your_account'] = 'Sua conta de administrador pessoal não está sujeito a receber lembretes de GhostTracker';
+$lang['UAM_No_validation_for_your_account'] = 'Sua conta de administrador pessoal não está sujeito a confirmação';
+$lang['UAM_Password reset selected users'] = 'Pedido de renovação de senha para usuários selecionados';
+$lang['UAM_PasswordTest'] = 'Testar Senha:';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/pt_PT/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_PT/help.lang.php	(revision 25072)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_PT/help.lang.php	(revision 25072)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['UAM_AddURL2Mail_d'] = 'Ao ativar esta opção, irá adicionar o URL da sua galeria ao final dos emails gerados pelo plugin, tal como uma assinatura.';
+$lang['UAM_AdminValidationMail_Subject_d'] = 'Quando um administrador ou Webmaster da galeria confirmar manualmente um registo pendente, a notificação por email é enviada automaticamente ao utilizador. Insira aqui o assunto da sua validação por email própria.<br>
+Por defeito, o campo tem um texto genérico em inglês, mas este pode ser mudado. Utilize as tags de tradução [lang =?] da plugin de descrição estendida, se o mesmo estiver instalado.
+<br><br>
+As seguintes tags adicionais de modificação estão disponíveis sem o plugin de Descrição Extendida.<br>
+- <b style=&quot;color: red;&quot;>[username]</b> para automaticamente inserir o nome do utilizador destinatário do email. <br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> pata inserir o titulo da sua galeria.<br>';
+?>
Index: /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 25071)
+++ /extensions/UserAdvManager/branches/2.50/language/tr_TR/plugin.lang.php	(revision 25072)
@@ -215,3 +215,4 @@
 $lang['UAM_SubTitle4'] = 'Hayalet İzleyici';
 $lang['UAM_MailExclusion_true'] = 'Takip eden domainleri hariç tut:<br>(her domaini aralarına virgül koyarak ayırınız)';
+$lang['UAM_Err_audit_advise'] = '<b>etkinleştirdiğiniz yeni kuralların uygun hale gelmesi için değişiklikler yapmalısınız.<br>Herhangi bir veri tabanı yönetim yardımcısı kullanarak ###_USERS tablosundaki kullanıcı hesaplarını düzeltin.';
 ?>